### Enumeration

# Vips Access

#### Declaration

    enum Vips.Access

#### Description [src]

The type of access an operation has to supply. See `vips_tilecache()` and `VipsForeign`.

`VIPS_ACCESS_RANDOM` means requests can come in any order.

`VIPS_ACCESS_SEQUENTIAL` means requests will be top-to-bottom, but with some amount of buffering behind the read point for small non-local accesses.

#### Members

`VIPS_ACCESS_RANDOM`

  Can read anywhere.

  - Value: `0`
  - Available since: 8.0
`VIPS_ACCESS_SEQUENTIAL`

  Top-to-bottom reading only, but with a small buffer.

  - Value: `1`
  - Available since: 8.0
`VIPS_ACCESS_SEQUENTIAL_UNBUFFERED`

  Deprecated, use `VIPS_ACCESS_SEQUENTIAL` instead.

  - Value: `2`
  - Available since: 8.0